<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table10', function (Blueprint $table) {
            $table->id('DatasetTable10Id');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->float('luas_lokasi')->default(0);
            $table->float('persentase_tutupan')->default(0);
            $table->float('kerapatan')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table10s');
    }
};
